Download it now!
Bug 121129 - KDE5: Missing features in open file dialog
Summary: KDE5: Missing features in open file dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-11-02 14:22 UTC by RGB
Modified: 2019-01-28 15:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2018-11-02 14:22:02 UTC
6.2.0.0.alpha1
Id.: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
VCL: kde5

Insert → Image: the drop-down menu to pick the frame style is missing

File → Send → Create Master Document: the drop-down menu to select at which outline level you want to "cut" the the original file is missing

Both options are presented with the GTK3 VCL plug-in.
Comment 1 Xisco Faulí 2018-11-06 10:05:02 UTC
reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

[tag] [reply] [−]
Private
Comment 1
Comment 2 Commit Notification 2019-01-21 23:42:40 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2d33c7cb4b4835de77194650124a1cf046920f66%5E%21

tdf#121129: custom listboxes in kde5 fpicker, first stab

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-01-23 00:31:39 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dc763f5c4a0a0a3503dbaad729a0f3cde7ccb6cd%5E%21

tdf#121129: more custom listboxes in kde5 fpicker

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (Inactive) 2019-01-23 07:44:45 UTC
Resolving this one, if you people find more missing items in fpicker, please open new bugs
Comment 5 Commit Notification 2019-01-28 15:06:17 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c41adbca85969efd8442abf3b593118e1256efb6%5E%21

tdf#121129: custom listboxes in kde5 fpicker, first stab

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-28 15:06:24 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/360844f902cdbcbe787659628892a5a28702c66d%5E%21

tdf#121129: more custom listboxes in kde5 fpicker

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.